
From: Mikael Pettersson <mikpe@csd.uu.se>

The ia32 perfctr syscalls were moved due to addition of ioprio syscalls,
but the ia32 emulation code in x86-64 wasn't updated.  Simple fix below.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S     |    4 +++-
 25-akpm/include/asm-x86_64/ia32_unistd.h |    4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-ia32-syscalls-on-x86-64-fix arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-ia32-syscalls-on-x86-64-fix	2005-03-13 13:26:22.000000000 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-03-13 13:26:22.000000000 -0800
@@ -595,8 +595,10 @@ ia32_sys_call_table:
 	.quad sys_add_key
 	.quad sys_request_key
 	.quad sys_keyctl
+	.quad quiet_ni_syscall		/* sys_ioprio_set */
+	.quad quiet_ni_syscall		/* sys_ioprio_get */	/* 290 */
 	.quad sys_vperfctr_open
-	.quad sys_vperfctr_control	/* 290 */
+	.quad sys_vperfctr_control
 	.quad sys_vperfctr_write
 	.quad sys_vperfctr_read
 	/* don't forget to change IA32_NR_syscalls */
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-ia32-syscalls-on-x86-64-fix include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~perfctr-ia32-syscalls-on-x86-64-fix	2005-03-13 13:26:22.000000000 -0800
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	2005-03-13 13:26:22.000000000 -0800
@@ -294,11 +294,11 @@
 #define __NR_ia32_add_key		286
 #define __NR_ia32_request_key	287
 #define __NR_ia32_keyctl		288
-#define __NR_ia32_vperfctr_open		289
+#define __NR_ia32_vperfctr_open		291
 #define __NR_ia32_vperfctr_control	(__NR_ia32_vperfctr_open+1)
 #define __NR_ia32_vperfctr_write	(__NR_ia32_vperfctr_open+2)
 #define __NR_ia32_vperfctr_read		(__NR_ia32_vperfctr_open+3)
 
-#define IA32_NR_syscalls 293	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 295	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
_
